precision mediump float;
uniform sampler2D g_Tex0;
uniform float g_Alpha;
varying vec2 texCoord;
varying vec4 oColor;
void main()
{
   gl_FragColor=texture2D(g_Tex0, texCoord.xy);
   if(g_Alpha >= 0.0){
      gl_FragColor *= g_Alpha;
   } else {
	  gl_FragColor *= oColor.a;
   }
#ifdef TRANSPARENT_MODE
   gl_FragColor*=0.5;
#endif
}

